
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
  "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml">
  <head>
    <meta http-equiv="X-UA-Compatible" content="IE=Edge" />
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
    <title>MDSLibraries.shift_field_refinement module &#8212; PhaserVoyager 0.0.1 documentation</title>
    <link rel="stylesheet" href="_static/sphinxdoc.css" type="text/css" />
    <link rel="stylesheet" href="_static/pygments.css" type="text/css" />
    <script type="text/javascript" id="documentation_options" data-url_root="./" src="_static/documentation_options.js"></script>
    <script type="text/javascript" src="_static/jquery.js"></script>
    <script type="text/javascript" src="_static/underscore.js"></script>
    <script type="text/javascript" src="_static/doctools.js"></script>
    <script type="text/javascript" src="_static/language_data.js"></script>
    <link rel="index" title="Index" href="genindex.html" />
    <link rel="search" title="Search" href="search.html" />
    <link rel="next" title="MDSLibraries.simple_tools module" href="MDSLibraries.simple_tools.html" />
    <link rel="prev" title="MDSLibraries.sculptor_functions module" href="MDSLibraries.sculptor_functions.html" /> 
  </head><body>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             accesskey="I">index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.simple_tools.html" title="MDSLibraries.simple_tools module"
             accesskey="N">next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.sculptor_functions.html" title="MDSLibraries.sculptor_functions module"
             accesskey="P">previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" accesskey="U">MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
      <div class="sphinxsidebar" role="navigation" aria-label="main navigation">
        <div class="sphinxsidebarwrapper">
  <h4>Previous topic</h4>
  <p class="topless"><a href="MDSLibraries.sculptor_functions.html"
                        title="previous chapter">MDSLibraries.sculptor_functions module</a></p>
  <h4>Next topic</h4>
  <p class="topless"><a href="MDSLibraries.simple_tools.html"
                        title="next chapter">MDSLibraries.simple_tools module</a></p>
  <div role="note" aria-label="source link">
    <h3>This Page</h3>
    <ul class="this-page-menu">
      <li><a href="_sources/MDSLibraries.shift_field_refinement.rst.txt"
            rel="nofollow">Show Source</a></li>
    </ul>
   </div>
<div id="searchbox" style="display: none" role="search">
  <h3>Quick search</h3>
    <div class="searchformwrapper">
    <form class="search" action="search.html" method="get">
      <input type="text" name="q" />
      <input type="submit" value="Go" />
      <input type="hidden" name="check_keywords" value="yes" />
      <input type="hidden" name="area" value="default" />
    </form>
    </div>
</div>
<script type="text/javascript">$('#searchbox').show(0);</script>
        </div>
      </div>

    <div class="document">
      <div class="documentwrapper">
        <div class="bodywrapper">
          <div class="body" role="main">
            
  <div class="section" id="module-MDSLibraries.shift_field_refinement">
<span id="mdslibraries-shift-field-refinement-module"></span><h1>MDSLibraries.shift_field_refinement module<a class="headerlink" href="#module-MDSLibraries.shift_field_refinement" title="Permalink to this headline">¶</a></h1>
<dl class="class">
<dt id="MDSLibraries.shift_field_refinement.map_filter">
<em class="property">class </em><code class="descclassname">MDSLibraries.shift_field_refinement.</code><code class="descname">map_filter</code><span class="sig-paren">(</span><em>shift_obj</em>, <em>function='quadratic'</em>, <em>radius=1.0</em>, <em>scale=1.0</em>, <em>scale_type='relative'</em>, <em>symmetry=None</em>, <em>mapmodel=None</em>, <em>cg=None</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#map_filter"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.map_filter" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.map_filter.filter_fft">
<code class="descname">filter_fft</code><span class="sig-paren">(</span><em>xmap_narray</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#map_filter.filter_fft"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.map_filter.filter_fft" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

<dl class="function">
<dt id="MDSLibraries.shift_field_refinement.print_miller_array">
<code class="descclassname">MDSLibraries.shift_field_refinement.</code><code class="descname">print_miller_array</code><span class="sig-paren">(</span><em>argsp</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#print_miller_array"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.print_miller_array" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="function">
<dt id="MDSLibraries.shift_field_refinement.run">
<code class="descclassname">MDSLibraries.shift_field_refinement.</code><code class="descname">run</code><span class="sig-paren">(</span><em>argsp</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#run"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.run" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="class">
<dt id="MDSLibraries.shift_field_refinement.shift_field">
<em class="property">class </em><code class="descclassname">MDSLibraries.shift_field_refinement.</code><code class="descname">shift_field</code><span class="sig-paren">(</span><em>ipfile</em>, <em>resmethod='manual'</em>, <em>title=''</em>, <em>ipcolfo=None</em>, <em>ipcolfree=None</em>, <em>pdbfile=None</em>, <em>pdbmask=None</em>, <em>pdboutfile='sheetbend.pdb'</em>, <em>ncyc=1</em>, <em>freeflag=0</em>, <em>refxyz=False</em>, <em>refuiso=False</em>, <em>rad=-1.0</em>, <em>radscl=4.0</em>, <em>res=-1.0</em>, <em>resbycyc=()</em>, <em>aniso=None</em>, <em>filter=2</em>, <em>n_refln=1000</em>, <em>update_low=1</em>, <em>n_param=20</em>, <em>labels_fc=None</em>, <em>labels_fd=None</em>, <em>use_phaser=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field" title="Permalink to this definition">¶</a></dt>
<dd><p>Bases: <a class="reference external" href="https://docs.python.org/3/library/functions.html#object" title="(in Python v3.8)"><code class="xref py py-class docutils literal notranslate"><span class="pre">object</span></code></a></p>
<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.fast_search">
<code class="descname">fast_search</code><span class="sig-paren">(</span><em>f</em>, <em>t</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.fast_search"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.fast_search" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.full_run">
<code class="descname">full_run</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.full_run"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.full_run" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.get_numpy_array_from_miller">
<code class="descname">get_numpy_array_from_miller</code><span class="sig-paren">(</span><em>dataset</em>, <em>sort=False</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.get_numpy_array_from_miller"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.get_numpy_array_from_miller" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.get_numpy_array_from_miller_and_gridding">
<code class="descname">get_numpy_array_from_miller_and_gridding</code><span class="sig-paren">(</span><em>sf</em>, <em>mesh</em>, <em>grid</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.get_numpy_array_from_miller_and_gridding"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.get_numpy_array_from_miller_and_gridding" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.one_cycle">
<code class="descname">one_cycle</code><span class="sig-paren">(</span><em>cyc</em>, <em>write_pdb=True</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.one_cycle"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.one_cycle" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.print_info_data">
<code class="descname">print_info_data</code><span class="sig-paren">(</span><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.print_info_data"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.print_info_data" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.print_miller_array">
<code class="descname">print_miller_array</code><span class="sig-paren">(</span><em>dataset</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.print_miller_array"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.print_miller_array" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.read_mtz">
<code class="descname">read_mtz</code><span class="sig-paren">(</span><em>data1</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.read_mtz"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.read_mtz" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.read_pdb">
<code class="descname">read_pdb</code><span class="sig-paren">(</span><em>pdbfile</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.read_pdb"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.read_pdb" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.shift_field_coord">
<code class="descname">shift_field_coord</code><span class="sig-paren">(</span><em>cg</em>, <em>xray_structure_p1</em>, <em>cmap</em>, <em>dmap</em>, <em>mask</em>, <em>rad</em>, <em>filter</em>, <em>maxshift</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.shift_field_coord"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.shift_field_coord" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

<dl class="method">
<dt id="MDSLibraries.shift_field_refinement.shift_field.shift_field_u_iso">
<code class="descname">shift_field_u_iso</code><span class="sig-paren">(</span><em>cg</em>, <em>xray_structure_p1</em>, <em>cmap</em>, <em>dmap</em>, <em>mask</em>, <em>rad</em>, <em>filter</em>, <em>maxshift</em><span class="sig-paren">)</span><a class="reference internal" href="_modules/MDSLibraries/shift_field_refinement.html#shift_field.shift_field_u_iso"><span class="viewcode-link">[source]</span></a><a class="headerlink" href="#MDSLibraries.shift_field_refinement.shift_field.shift_field_u_iso" title="Permalink to this definition">¶</a></dt>
<dd></dd></dl>

</dd></dl>

</div>


          </div>
        </div>
      </div>
      <div class="clearer"></div>
    </div>
    <div class="related" role="navigation" aria-label="related navigation">
      <h3>Navigation</h3>
      <ul>
        <li class="right" style="margin-right: 10px">
          <a href="genindex.html" title="General Index"
             >index</a></li>
        <li class="right" >
          <a href="py-modindex.html" title="Python Module Index"
             >modules</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.simple_tools.html" title="MDSLibraries.simple_tools module"
             >next</a> |</li>
        <li class="right" >
          <a href="MDSLibraries.sculptor_functions.html" title="MDSLibraries.sculptor_functions module"
             >previous</a> |</li>
        <li class="nav-item nav-item-0"><a href="index.html">PhaserVoyager 0.0.1 documentation</a> &#187;</li>
          <li class="nav-item nav-item-1"><a href="modules.html" >src</a> &#187;</li>
          <li class="nav-item nav-item-2"><a href="MDSLibraries.html" >MDSLibraries package</a> &#187;</li> 
      </ul>
    </div>
    <div class="footer" role="contentinfo">
        &#169; Copyright 2020, Massimo D. Sammito.
      Created using <a href="http://sphinx-doc.org/">Sphinx</a> 1.8.5.
    </div>
  </body>
</html>